Gecode::StdFloatTracer Class Reference
Functionality by programming task » Programming models » Tracing constraint propagation » Tracing for float variables

Standard float variable tracer. More...

`#include <float.hh>`

## Public Member Functions

| StdFloatTracer (std::ostream &os0=std::cerr)
| Initialize with output stream os0.
virtual void | init (const Space &home, const FloatTraceRecorder &t)
| Print init information.
virtual void | prune (const Space &home, const FloatTraceRecorder &t, const ViewTraceInfo &vti, int i, FloatTraceDelta &d)
| Print prune information.
virtual void | fix (const Space &home, const FloatTraceRecorder &t)
| Print fixpoint information.
virtual void | fail (const Space &home, const FloatTraceRecorder &t)
| Print failure information.
virtual void | done (const Space &home, const FloatTraceRecorder &t)
| Print that trace recorder is done.
Public Member Functions inherited from Gecode::ViewTracer< Float::FloatView >
| ViewTracer (void)
| Constructor.
virtual void | init (const Space &home, const ViewTraceRecorder< Float::FloatView > &t)=0
| Init function.
virtual void | prune (const Space &home, const ViewTraceRecorder< Float::FloatView > &t, const ViewTraceInfo &vti, int i, typename TraceTraits< Float::FloatView >::TraceDelta &d)=0
| Prune function.
virtual void | fail (const Space &home, const ViewTraceRecorder< Float::FloatView > &t)=0
| Fail function.
virtual void | fix (const Space &home, const ViewTraceRecorder< Float::FloatView > &t)=0
| Fixpoint function.
virtual void | done (const Space &home, const ViewTraceRecorder< Float::FloatView > &t)=0
| Done function.
virtual | ~ViewTracer (void)
| Destructor.

## Static Public Attributes

static StdFloatTracer | def
| Default tracer (printing to std::cerr).

## Protected Attributes

std::ostream & | os
| Output stream to use.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.
Static Protected Attributes inherited from Gecode::TracerBase
static Support::Mutex | m
| Mutex to provide synchronization.

## Detailed Description

Standard float variable tracer.

Definition at line 2094 of file float.hh.

## Constructor & Destructor Documentation

## StdFloatTracer()

Gecode::StdFloatTracer::StdFloatTracer | ( | std::ostream & | os0 = std::cerr | ) |

Initialize with output stream os0.

Definition at line 39 of file tracer.cpp.

## Member Function Documentation

## init()

void Gecode::StdFloatTracer::init | ( | const Space & | home,
|  | const FloatTraceRecorder & | t )

virtual

Print init information.

Definition at line 43 of file tracer.cpp.

## prune()

void Gecode::StdFloatTracer::prune | ( | const Space & | home,
|  | const FloatTraceRecorder & | t,
|  | const ViewTraceInfo & | vti,
|  | int | i,
|  | FloatTraceDelta & | d )

virtual

Print prune information.

Definition at line 52 of file tracer.cpp.

## fix()

void Gecode::StdFloatTracer::fix | ( | const Space & | home,
|  | const FloatTraceRecorder & | t )

virtual

Print fixpoint information.

Definition at line 63 of file tracer.cpp.

## fail()

void Gecode::StdFloatTracer::fail | ( | const Space & | home,
|  | const FloatTraceRecorder & | t )

virtual

Print failure information.

Definition at line 81 of file tracer.cpp.

## done()

void Gecode::StdFloatTracer::done | ( | const Space & | home,
|  | const FloatTraceRecorder & | t )

virtual

Print that trace recorder is done.

Definition at line 99 of file tracer.cpp.

## Member Data Documentation

## os

std::ostream& Gecode::StdFloatTracer::os

protected

Output stream to use.

Definition at line 2097 of file float.hh.

## def

StdFloatTracer Gecode::StdFloatTracer::def

static

Default tracer (printing to std::cerr).

Definition at line 2113 of file float.hh.

The documentation for this class was generated from the following files:

- gecode/float.hh
- gecode/float/trace/tracer.cpp